Subject: Re: bug#16180: M-x align eats text

From: Paul Pogonyshev <[email-masked]>
Date: Thu, 19 Dec 2013 21:07:54 +0300

Hm, I could have sworn I tested it with 'emacs -q', but apparently I made a
mistake. In the end, however, it boiled down to corrupted part of '.emacs'
where customization variables are (this is an alignment rule):

     (open-comment
      (regexp lambda
              (end reverse)
              (funcall
               (if reverse
                   (quote re-search-backward)
                 (quote re-search-forward))
               (concat "[^
\\\\]"
                       (regexp-quote comment-start)
                       "\\(.+\\)$")
               end t))
      (modes . align-open-comment-modes))

The string after 'concat' looks very incorrect and when I replaced it with
the proper one from current source code, comment eating is gone. Of course,
I cannot guarantee I didn't modify it, but _maybe_ at some point Emacs
screwed it up itself. Can you try customizing 'align-rules-list' in a
harmless way and check that what is written in Elisp is actually correct?

Paul

On 18 December 2013 04:27, Glenn Morris <[email-masked]> wrote:

> I can't reproduce this.